Render = {
	Resolution = {640,480}, -- Only multiples of 640x480 work at the moment, fffs X_x
	Fullscreen = false,
}

Wii = { -- take the Wii's data/base/ folder and name it 'wiidata' to use it.
	Graphics = true, -- Set to false to use the old graphics even if Wii data is available.
	Music = false, -- TODO: Find a decent way to play crappy midi music just so I can leave this set to false and not use it.
	Data = true -- Set to false to make non-graphical data low priority (use original CSPC data when possible).
}

Keyboard = {
	-- Arrow keys
	[KEY.UP] = BTN.UP,
	[KEY.DOWN] = {BTN.DOWN,BTN.CHECK},
	[KEY.LEFT] = BTN.LEFT,
	[KEY.RIGHT] = BTN.RIGHT,
	-- Alternate movement
	[KEY.L] = BTN.UP,
	[KEY.SEMICOLON] = BTN.UP,
	[KEY.COMMA] = BTN.LEFT,
	[KEY.PERIOD] = {BTN.DOWN,BTN.CHECK},
	[KEY.SLASH] = BTN.RIGHT,
	-- Action keys
	[KEY.Z] = BTN.JUMP,
	[KEY.X] = {BTN.SHOOT,BTN.OK},
	[KEY.A] = BTN.PREVWEAPON,
	[KEY.S] = BTN.NEXTWEAPON,
	[KEY.Q] = BTN.ITEMS,
	[KEY.W] = BTN.MAP,
	-- PC keys
	[KEY.ESC] = BTN.QUIT,
	-- Network keys
	[KEY.ENTER] = BTN.CHAT,
	[KEY.BACKQUOTE] = BTN.LOG,
	[KEY.TAB] = BTN.SCORE
}

Joystick[0] = {
	Hat = {
		[0] = {
			Up = BTN.UP,
			Down = {BTN.DOWN,BTN.CHECK},
			Left = BTN.LEFT,
			Right = BTN.RIGHT
		}
	},
	Axis = {
		[0] = {BTN.LEFT,BTN.RIGHT},
		[1] = {BTN.UP,{BTN.DOWN,BTN.CHECK}}
	},
	Button = {
		[0] = {BTN.SHOOT,BTN.OK},
		[1] = BTN.JUMP,
		[2] = {BTN.SHOOT,BTN.OK},
		[3] = BTN.JUMP,
		[4] = BTN.PREVWEAPON,
		[5] = BTN.NEXTWEAPON,
		[9] = BTN.ITEMS,
		[10] = BTN.MAP
	}
}
